<html>
<head>
<title>Ogre::TerrainGroup::TerrainSlotDefinition Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1TerrainGroup.html">TerrainGroup</a>      </li>
      <li class="navelem"><a class="el" href="structOgre_1_1TerrainGroup_1_1TerrainSlotDefinition.html">TerrainSlotDefinition</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::TerrainGroup::TerrainSlotDefinition Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::TerrainGroup::TerrainSlotDefinition" -->
<p>Definition of how to populate a 'slot' in the terrain group.  
 <a href="structOgre_1_1TerrainGroup_1_1TerrainSlotDefinition.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreTerrainGroup_8h_source.html">OgreTerrainGroup.h</a>&gt;</code></p>

<p><a href="structOgre_1_1TerrainGroup_1_1TerrainSlotDefinition-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1TerrainGroup_1_1TerrainSlotDefinition.html#a2e4c34e42faae3ec1d745e5cae8fb200">TerrainSlotDefinition</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1TerrainGroup_1_1TerrainSlotDefinition.html#a3450d2187ead05af229621bfcc50b369">~TerrainSlotDefinition</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1TerrainGroup_1_1TerrainSlotDefinition.html#a360a024704762f345a7a91a04b955061">useImportData</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set to use import data.  <a href="#a360a024704762f345a7a91a04b955061"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1TerrainGroup_1_1TerrainSlotDefinition.html#a53ec1a48d519900da5c77b8702b5067a">useFilename</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set to use file name.  <a href="#a53ec1a48d519900da5c77b8702b5067a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1TerrainGroup_1_1TerrainSlotDefinition.html#a7ca4751611a934a1088bfecd55d94a33">freeImportData</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Destroy temp import resources.  <a href="#a7ca4751611a934a1088bfecd55d94a33"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1TerrainGroup_1_1TerrainSlotDefinition.html#a5b0c56d3b577d08fd3800f0399ac8bff">filename</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Filename, if this is to be loaded from a file.  <a href="#a5b0c56d3b577d08fd3800f0399ac8bff"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structOgre_1_1Terrain_1_1ImportData.html">Terrain::ImportData</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1TerrainGroup_1_1TerrainSlotDefinition.html#a13c37aea760bd2537db790c8cf6271ce">importData</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Import data, if this is to be defined based on importing.  <a href="#a13c37aea760bd2537db790c8cf6271ce"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Definition of how to populate a 'slot' in the terrain group. </p>

<p>Definition at line <a class="el" href="OgreTerrainGroup_8h_source.html#l00302">302</a> of file <a class="el" href="OgreTerrainGroup_8h_source.html">OgreTerrainGroup.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a2e4c34e42faae3ec1d745e5cae8fb200"></a><!-- doxytag: member="Ogre::TerrainGroup::TerrainSlotDefinition::TerrainSlotDefinition" ref="a2e4c34e42faae3ec1d745e5cae8fb200" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structOgre_1_1TerrainGroup_1_1TerrainSlotDefinition.html#a2e4c34e42faae3ec1d745e5cae8fb200">Ogre::TerrainGroup::TerrainSlotDefinition::TerrainSlotDefinition</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreTerrainGroup_8h_source.html#l00309">309</a> of file <a class="el" href="OgreTerrainGroup_8h_source.html">OgreTerrainGroup.h</a>.</p>

</div>
</div>
<a class="anchor" id="a3450d2187ead05af229621bfcc50b369"></a><!-- doxytag: member="Ogre::TerrainGroup::TerrainSlotDefinition::~TerrainSlotDefinition" ref="a3450d2187ead05af229621bfcc50b369" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structOgre_1_1TerrainGroup_1_1TerrainSlotDefinition.html#a3450d2187ead05af229621bfcc50b369">Ogre::TerrainGroup::TerrainSlotDefinition::~TerrainSlotDefinition</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a7ca4751611a934a1088bfecd55d94a33"></a><!-- doxytag: member="Ogre::TerrainGroup::TerrainSlotDefinition::freeImportData" ref="a7ca4751611a934a1088bfecd55d94a33" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="structOgre_1_1TerrainGroup_1_1TerrainSlotDefinition.html#a7ca4751611a934a1088bfecd55d94a33">Ogre::TerrainGroup::TerrainSlotDefinition::freeImportData</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Destroy temp import resources. </p>

</div>
</div>
<a class="anchor" id="a53ec1a48d519900da5c77b8702b5067a"></a><!-- doxytag: member="Ogre::TerrainGroup::TerrainSlotDefinition::useFilename" ref="a53ec1a48d519900da5c77b8702b5067a" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="structOgre_1_1TerrainGroup_1_1TerrainSlotDefinition.html#a53ec1a48d519900da5c77b8702b5067a">Ogre::TerrainGroup::TerrainSlotDefinition::useFilename</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set to use file name. </p>

</div>
</div>
<a class="anchor" id="a360a024704762f345a7a91a04b955061"></a><!-- doxytag: member="Ogre::TerrainGroup::TerrainSlotDefinition::useImportData" ref="a360a024704762f345a7a91a04b955061" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="structOgre_1_1TerrainGroup_1_1TerrainSlotDefinition.html#a360a024704762f345a7a91a04b955061">Ogre::TerrainGroup::TerrainSlotDefinition::useImportData</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set to use import data. </p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a5b0c56d3b577d08fd3800f0399ac8bff"></a><!-- doxytag: member="Ogre::TerrainGroup::TerrainSlotDefinition::filename" ref="a5b0c56d3b577d08fd3800f0399ac8bff" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="structOgre_1_1TerrainGroup_1_1TerrainSlotDefinition.html#a5b0c56d3b577d08fd3800f0399ac8bff">Ogre::TerrainGroup::TerrainSlotDefinition::filename</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Filename, if this is to be loaded from a file. </p>

<p>Definition at line <a class="el" href="OgreTerrainGroup_8h_source.html#l00305">305</a> of file <a class="el" href="OgreTerrainGroup_8h_source.html">OgreTerrainGroup.h</a>.</p>

</div>
</div>
<a class="anchor" id="a13c37aea760bd2537db790c8cf6271ce"></a><!-- doxytag: member="Ogre::TerrainGroup::TerrainSlotDefinition::importData" ref="a13c37aea760bd2537db790c8cf6271ce" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structOgre_1_1Terrain_1_1ImportData.html">Terrain::ImportData</a>* <a class="el" href="structOgre_1_1TerrainGroup_1_1TerrainSlotDefinition.html#a13c37aea760bd2537db790c8cf6271ce">Ogre::TerrainGroup::TerrainSlotDefinition::importData</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Import data, if this is to be defined based on importing. </p>

<p>Definition at line <a class="el" href="OgreTerrainGroup_8h_source.html#l00307">307</a> of file <a class="el" href="OgreTerrainGroup_8h_source.html">OgreTerrainGroup.h</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreTerrainGroup_8h_source.html">OgreTerrainGroup.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:11
</p>
</body>
</html>
